curl --request GET \
--url https://api.example.com/vendor/products/{id}/variants \
--header 'Authorization: Bearer <token>'{
"variants": [
{
"prices": [
{
"id": "<string>",
"title": "<string>",
"currency_code": "usd",
"amount": 123,
"raw_amount": {},
"min_quantity": 123,
"max_quantity": 123,
"price_set_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"title": "<string>",
"sku": "<string>",
"barcode": "<string>",
"ean": "<string>",
"upc": "<string>",
"allow_backorder": true,
"manage_inventory": true,
"hs_code": "<string>",
"origin_country": "<string>",
"mid_code": "<string>",
"material": "<string>",
"weight": 123,
"length": 123,
"height": 123,
"width": 123,
"options": [
{
"id": "<string>",
"value": "<string>",
"option": {
"id": "<string>",
"title": "<string>",
"product": {},
"product_id": "<string>",
"values": [
{}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
},
"option_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"images": [
{
"id": "<string>",
"url": "<string>",
"rank": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"thumbnail": "<string>",
"inventory_quantity": 123,
"variant_rank": 123,
"product": {},
"product_id": "<string>",
"calculated_price": {
"id": "<string>",
"calculated_amount": 123,
"original_amount": 123,
"currency_code": "usd",
"original_amount_with_tax": 123,
"original_amount_without_tax": 123,
"is_calculated_price_price_list": true,
"is_calculated_price_tax_inclusive": true,
"calculated_amount_with_tax": 123,
"calculated_amount_without_tax": 123,
"is_original_price_price_list": true,
"is_original_price_tax_inclusive": true,
"calculated_price": {},
"original_price": {}
},
"metadata": {},
"inventory_items": [
{
"id": "<string>",
"variant_id": "<string>",
"inventory_item_id": "<string>",
"variant": {},
"inventory": {
"id": "<string>",
"requires_shipping": true,
"sku": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"mid_code": "<string>",
"material": "<string>",
"weight": 123,
"length": 123,
"height": 123,
"width": 123,
"title": "<string>",
"description": "<string>",
"thumbnail": "<string>",
"metadata": {},
"location_levels": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"inventory_item_id": "<string>",
"location_id": "<string>",
"stocked_quantity": 123,
"reserved_quantity": 123,
"incoming_quantity": 123,
"metadata": {},
"available_quantity": 123,
"inventory_item": {}
}
]
},
"required_quantity": 123
}
],
"translations": [
{
"id": "<string>",
"reference_id": "prod_123",
"reference": "product",
"locale_code": "fr-FR",
"translations": {
"title": "Chaussures",
"description": "Des chaussures élégantes."
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}
],
"count": 123,
"offset": 123,
"limit": 123
}Retrieves a list of variants for a specific product. The product must belong to the authenticated vendor.
curl --request GET \
--url https://api.example.com/vendor/products/{id}/variants \
--header 'Authorization: Bearer <token>'{
"variants": [
{
"prices": [
{
"id": "<string>",
"title": "<string>",
"currency_code": "usd",
"amount": 123,
"raw_amount": {},
"min_quantity": 123,
"max_quantity": 123,
"price_set_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"id": "<string>",
"title": "<string>",
"sku": "<string>",
"barcode": "<string>",
"ean": "<string>",
"upc": "<string>",
"allow_backorder": true,
"manage_inventory": true,
"hs_code": "<string>",
"origin_country": "<string>",
"mid_code": "<string>",
"material": "<string>",
"weight": 123,
"length": 123,
"height": 123,
"width": 123,
"options": [
{
"id": "<string>",
"value": "<string>",
"option": {
"id": "<string>",
"title": "<string>",
"product": {},
"product_id": "<string>",
"values": [
{}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
},
"option_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"images": [
{
"id": "<string>",
"url": "<string>",
"rank": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"thumbnail": "<string>",
"inventory_quantity": 123,
"variant_rank": 123,
"product": {},
"product_id": "<string>",
"calculated_price": {
"id": "<string>",
"calculated_amount": 123,
"original_amount": 123,
"currency_code": "usd",
"original_amount_with_tax": 123,
"original_amount_without_tax": 123,
"is_calculated_price_price_list": true,
"is_calculated_price_tax_inclusive": true,
"calculated_amount_with_tax": 123,
"calculated_amount_without_tax": 123,
"is_original_price_price_list": true,
"is_original_price_tax_inclusive": true,
"calculated_price": {},
"original_price": {}
},
"metadata": {},
"inventory_items": [
{
"id": "<string>",
"variant_id": "<string>",
"inventory_item_id": "<string>",
"variant": {},
"inventory": {
"id": "<string>",
"requires_shipping": true,
"sku": "<string>",
"origin_country": "<string>",
"hs_code": "<string>",
"mid_code": "<string>",
"material": "<string>",
"weight": 123,
"length": 123,
"height": 123,
"width": 123,
"title": "<string>",
"description": "<string>",
"thumbnail": "<string>",
"metadata": {},
"location_levels": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"inventory_item_id": "<string>",
"location_id": "<string>",
"stocked_quantity": 123,
"reserved_quantity": 123,
"incoming_quantity": 123,
"metadata": {},
"available_quantity": 123,
"inventory_item": {}
}
]
},
"required_quantity": 123
}
],
"translations": [
{
"id": "<string>",
"reference_id": "prod_123",
"reference": "product",
"locale_code": "fr-FR",
"translations": {
"title": "Chaussures",
"description": "Des chaussures élégantes."
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
]
}
],
"count": 123,
"offset": 123,
"limit": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the Product.
The number of items to skip before starting to collect the result set.
The number of items to return.
Comma-separated fields to include in the response.
The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.
Search term to filter variants by title, SKU, or other searchable properties.
Filter by variant ID(s).
Filter by variant SKU(s).
Filter by variant title(s).
Filter by whether inventory is managed.
Filter by whether backordering is allowed.
Filter by created_at date using operators like $gte, $lte, $gt, $lt.
Filter by updated_at date using operators like $gte, $lte, $gt, $lt.